@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

setlocal

REM *****
REM ***** Verify that Phx environment has been setup
REM ***** 

if "%RDKROOT%"=="" echo Must setup Phx environment first && exit /B 1

set MORPH_DIR=%~dp0..

cd "%MORPH_DIR%\examples"

REM Parse command-line options
call "%MORPH_DIR%\scripts\checkswitch.bat" quiet %*
set QUIET=%errorlevel%

for /D %%i in (*) do call :buildme %%i %*
goto :eof

:buildme

if "%QUIET%"=="0" echo.
if "%QUIET%"=="0" echo ===== Building %1 =====

if "%1"=="IR-Longevity-Morph-Version" (
	if "%QUIET%"=="0" echo Skipping: %1
	exit /B 0
)

if "%1"=="ast" (
	if "%QUIET%"=="0" echo Skipping: %1
	exit /B 0
)

if not exist %1\buildall.bat (
	echo Build script not found: %1\buildall.bat
	exit /B 1
)

call "%1\buildall.bat" %*
exit /B 0
