@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

setlocal

REM *****
REM ***** Verify that Phx environment has been setup
REM ***** 

if "%RDKROOT%"=="" echo Must setup Phx environment first && exit /B 1

set MORPH_DIR=%~dp0..\..
set TARGET_DIR=%MORPH_DIR%\bin

set TARGET=client
set PROJECT_DIR=%MORPH_DIR%\examples\hello
set InputAssembly="%TARGET_DIR%\hello.dll"
set OutputAssembly=

REM ***** ISSUE-HACK-t-marcea-2005/08/26-Sometimes local variables
REM ***** are named V_0 and sometimes $CS$1000.  Seems like pereader
REM ***** has bug where it sometimes doesn't pick up the PDB for
REM ***** NodeEnumeratorExt.dll.  So we skip comparing the metadata
REM ***** of the morphed assembly.

call "%MORPH_DIR%\scripts\dotest.bat" -noildasm %*
