@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

REM Strip GUIDS {50D98B81-DEBE-41D1-BAFC-D7822C53479F} 
perl -i.bak -pe "s/[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}/-GUID-/g" %1

REM Strip 0x12345678 style tokens
perl -i.bak -pe "s/(0x)?[0-9A-Fa-f]{8}/-TOLKEN-/g" %1

REM Strip ildasm.exe version number
perl -i.bak -pe "s/Version [0-9\.]+/Version -VERSION-/g" %1

REM Strip root directories from paths
perl -i.bak -pe "s/(\W)(([A-Za-z]:\\\\)|(\\\\\\\\)).*(\\\\Morpher)/$1-PHXROOT-$5/gi" %1

REM Strip root directories from paths
perl -i.bak -pe "s/(\W)(([A-Za-z]:\\)|(\\\\)).*(\\Morpher)/$1-PHXROOT-$5/gi" %1

REM Strip out the Public Key info
perl -i.bak -pe "s/(Public Key\s*(or Token\s*)?:)(\s+[0-9A-Fa-f]{2})*\s*/$1\n/g" %1
perl -i.bak -pe "s/\/\/\s+:(\s+[0-9A-Fa-f]{2})+\s*//g" %1
perl -i.bak -pe "s/\[PublicKey\]\s+/[none] /g" %1
perl -i.bak -pe "s/\[PublicKey\]/[none]/g" %1
perl -i.bak -pe "s/\s+.publickey = \([\s0-9A-Fa-f]*\s*\/\/.*\s*//g" %1
perl -i.bak -pe "s/\s+(\s+[0-9A-Fa-f]{2})+\s*\)?\s*\/\/.*\s*//g" %1

REM Strip out dates/times left by IlxLog (05/25 17:04:42 752)
perl -i.bak -pe "s/^\d\d\/\d\d [\d ]\d:\d\d:\d\d \d+ - /-DATE-TIME - /g" %1

del %1.bak
