@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

setlocal

set FAILED_RESULTS=
set SUCCEEDED_RESULTS=
set SKIPPED_RESULTS=

call :runtest examples\dotest.bat
call :runtest Morpher\examples\dotest.bat

echo.
echo ========== Test Results Summary =========
echo Succeeded: %SUCCEEDED_RESULTS%
echo    Failed: %FAILED_RESULTS%
echo   Skipped: %SKIPPED_RESULTS%

exit /b 0

:runtest

call %1 -nosummary %2 %3 %4 %5 %6 %7 %8 %9

if exist "%~dp1results.succeeded.txt" (
	for /F "delims=." %%i in (%~dp1results.succeeded.txt) do (
		if "%SUCCEEDED_RESULTS%"=="" (
			set SUCCEEDED_RESULTS=%%i
		) else (
			set SUCCEEDED_RESULTS=%SUCCEEDED_RESULTS%, %%i
		)
	)
)

if exist "%~dp1results.failed.txt" (
	for /F "delims=." %%i in (%~dp1results.failed.txt) do (
		if "%FAILED_RESULTS%"=="" (
			set FAILED_RESULTS=%%i
		) else (
			set FAILED=%FAILED%, %%i
		)
	)
)

if exist "%~dp1results.skipped.txt" (
	for /F "delims=." %%i in (%~dp1results.skipped.txt) do (
		if "%SKIPPED_RESULTS%"=="" (
			set SKIPPED_RESULTS=%%i
		) else (
			set SKIPPED_RESULTS=%SKIPPED_RESULTS%, %%i
		)
	)
)

exit /b 0
