@echo off

cls

setlocal

set BASE=c:\projects\wicca\bin
set SAVE=%CD%

if not exist tmp\nul mkdir tmp > nul

echo.
echo === Building LogFileAspect.dll ===
csc /debug /nologo /target:library /out:LogFileAspect.dll /r:..\..\Common\Columbia.Utilities.dll /r:Phx.Aop.dll LogFileAspect.cs
if not "%errorlevel%"=="0" exit /b 1
copy /Y LogFileAspect.dll ..\..\Goblin > nul
copy /Y LogFileAspect.pdb ..\..\Goblin > nul

echo.
echo === Building Goblin.exe ===
echo.

cd ..\..\Goblin

msbuild /nologo /v:quiet Goblin.sln
if not "%errorlevel%"=="0" exit /b 1

cd %SAVE%

REM echo.
REM echo === Normalizing Goblin.Engine.dll ===
REM echo.
REM "%RDKRoot%bin\debug\pereader.exe" /v:2 /assertexit /plugin:"C:\PROJECTS\Wicca\Morpher\bin\MorphPlugin.dll" "C:\PROJECTS\Goblin\Goblin.Engine.dll" /out:"C:\PROJECTS\Goblin\tmp\Goblin.Engine.dll" /pdb:"C:\PROJECTS\Goblin\tmp\Goblin.Engine.pdb"

echo.
echo === Launch Goblin from debugger and add logging at runtime ===
echo.

del tmp\Goblin.*.* > nul

if exist ..\..\Goblin\Goblin.log copy /Y ..\..\Goblin\Goblin.log ..\..\Goblin\Goblin.log.bak > nul
if exist ..\..\Goblin\Goblin.log del ..\..\Goblin\Goblin.log

mdbg -verbosity 0 -nologo !load wicca !wtype breakpoint !wrun ..\..\Goblin\Goblin.exe !weave LogFileAspect.dll !wgo !wgo !quit
