@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

setlocal

REM *****
REM ***** Verify that Phx environment has been setup
REM ***** 

if "%RDKROOT%"=="" echo Must setup Phx environment first && exit /B 1

REM *****
REM ***** Local vars
REM ***** 

set MORPH_DIR=%~dp0..\..\Morpher
set WICCA_DIR=%~dp0..\..
set TARGET=Security
set PROJECT_DIR=%WICCA_DIR%\examples\%TARGET%
set TARGET_DIR=%WICCA_DIR%\bin
set ASPECTS=!weave MonitorAspect.dll
set CMD_LINE="%PROJECT_DIR%\1.txt" "%PROJECT_DIR%\2.txt" "%PROJECT_DIR%\3.txt" "%PROJECT_DIR%\4.txt" "%PROJECT_DIR%\1.txt" "%PROJECT_DIR%\2.txt" "%PROJECT_DIR%\3.txt" "%PROJECT_DIR%\4.txt"
set EXCLUDE_WEAVERS=sbinary

call "%MORPH_DIR%\scripts\dotest-wicca.bat" -noildasm %*
if not "%errorlevel%"=="0" exit /B 1

exit /B 0
