@echo off

setlocal

cls

if exist tmp\nul rmdir /s /q tmp > nul

if not "%1"=="" (
	set WEAVE_TYPE=%1
) else (
	set WEAVE_TYPE=breakpoint
)

REM This example only works with binary weaving because it requires
REM passing the attribute to the advice method.

set WEAVE_TYPE=binary

echo.
echo === Building SimpleDraw ===
call buildall.bat
if not "%errorlevel%"=="0" exit /b 1

echo.
echo === Launch SimpleDraw and add Logging at runtime using %WEAVE_TYPE% weaving ===
echo.

..\..\bin\mdbg -verbosity 1 -nologo !load ..\..\bin\wicca.dll !wtype %WEAVE_TYPE% !wrun ..\..\bin\SimpleDraw.csc.exe !weave ..\..\bin\LogAspect.dll !wgo !quit
