///////////////////////////////////////////////////////////////////////
//  Copyright (c) OnlyInfo Technologies.,Ltd.  All rights reserved.
//
//      $Header: /Common/AxDump.h 2     4/28/06 9:53a Eaddy $
//
//      Purpose:	Dumps all interfaces in an com object
//
///////////////////////////////////////////////////////////////////////
/**
 * $Log: /Common/AxDump.h $
 * 
 * 2     4/28/06 9:53a Eaddy
 * 
 * 1     4/23/06 11:54a Eaddy
 */

#pragma once

#include <atlcoll.h>
typedef struct IFPoint
{
	CComBSTR			key;
	ULONG**				addr;
	int					ikind;
	CSimpleArray<MEMORY_BASIC_INFORMATION> mia;
} *pIFPoint;

class IFDump
{
public:
	IFDump();
	~IFDump();

    CAtlMap<IID,CComBSTR> ikeys;

private:
	CAtlList<IFPoint*>	lstIF;
	SYSTEM_INFO sysinfo;
	LPVOID limit;

	BOOL GetEntriesFromRegistry();
	void QueryMem(ULONG* start,CSimpleArray<MEMORY_BASIC_INFORMATION>& array);

public:
	BOOL Reset();
	BOOL OutPutResult();
	BOOL AddEntriesFromTypeLib(LPOLESTR szFile);
	HRESULT DumpIF(CComPtr<IUnknown> spunk,int kind=0);
};
