//-----------------------------------------------------------------------------
//
// Phoenix
// Copyright (C) Microsoft Corporation.  All Rights Reserved.
//
// $Header: /Wicca/Morpher/Phx.Aop/Pointcuts/ExecutionPointcutExpression.cs 2     5/05/06 3:37p Eaddy $
//
// Description:
//
// Remarks:
//
//-----------------------------------------------------------------------------
/**
 * $Log: /Wicca/Morpher/Phx.Aop/Pointcuts/ExecutionPointcutExpression.cs $
 * 
 * 2     5/05/06 3:37p Eaddy
 * o Added attributes so the debugger skips over methods
 * 
 * 1     2/26/06 10:07p Eaddy
 */

using System.Text.RegularExpressions;

using Dbg = System.Diagnostics.Debug;

using Phx.Aop.Joinpoints;

namespace Phx.Aop.Pointcuts
{
   /// <summary>
   /// execution(* *.*(int))
   /// </summary>
   public class ExecutionPointcutExpression : SignatureExpression, IPointcutDesignator
   {
      public ExecutionPointcutExpression()
         : base(JoinpointType.EXECUTION)
      { }

      static public void register()
      {
         PointcutFactory.registerPointcutDesignator(new ExecutionPointcutExpression());
      }

      public override string Name { get { return "execution"; } }

      public PointcutExpression create()
      {
         return new ExecutionPointcutExpression();
      }
   }
}
