@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

setlocal

REM *****
REM ***** Verify that Phx environment has been setup
REM ***** 

if "%RDKROOT%"=="" echo Must setup Phx environment first && exit /B 1

set MORPH_DIR=%~dp0..\..
set TARGET_DIR=%MORPH_DIR%\bin

set TARGET=PersonClient
set PROJECT_DIR=%MORPH_DIR%\examples\invariants
set InputAssembly="%TARGET_DIR%\Person.dll"
set OutputAssembly=

REM ***** ISSUE-HACK-t-marcea-2005/08/26-Phx#2680 Sometimes local variables
REM ***** are named V_0 and sometimes $CS$1000.  Seems like pereader
REM ***** has bug where it sometimes doesn't pick up the PDB for
REM ***** NodeEnumeratorExt.dll.  So we skip comparing the metadata
REM ***** of the morphed assembly.

if exist "%TARGET_DIR%\Jane Doe.xml" del "%TARGET_DIR%\Jane Doe.xml"
if exist "%TARGET_DIR%\Jane.xml" del "%TARGET_DIR%\Jane.xml"
if exist "%TARGET_DIR%\Joe.xml" del "%TARGET_DIR%\Joe.xml"

call "%MORPH_DIR%\scripts\dotest.bat" %*
