@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

setlocal

REM *****
REM ***** Verify that Phx environment has been setup
REM ***** 

if "%RDKROOT%"=="" echo Must setup Phx environment first && exit /B 1

set MORPH_DIR=%~dp0..\..
set TARGET_DIR=%MORPH_DIR%\bin

REM *****
REM ***** Sets BUILD, BUILD_EXT, PHX_REF, MSIL_REF, X86_REF, MSIL_RT_REF, X86_RT_REF
REM ***** 

call "%MORPH_DIR%\scripts\SetBuildAndPhxRefs.bat"

set PHX_MORPH_REF="%TARGET_DIR%\Phx.Aop.dll"

set PROJECT_DIR=%~dp0
set SRCS=LogReflectionExt.cs
set TARGET="%TARGET_DIR%\LogReflectionExt.dll"
set FLAGS=/nowarn:0649
set TARGET_FLAGS=/target:library /out:%TARGET% 
set REFS=%PHX_MORPH_REF%

call "%MORPH_DIR%\scripts\build-csharp.bat" -skip_build_morph %*
