public class DisplayVisitor : DepthFirstVisitor
{
   override public void visit(Node node)
   {
      System.Console.WriteLine(node);

      base.visit(node);
   }

   override public void visit(WhileLoopNode whileLoopNode)
   {
      System.Console.WriteLine(whileLoopNode);

      base.visit(whileLoopNode);
   }

   override public void visit(IfThenNode ifThenNode)
   {
      System.Console.WriteLine(ifThenNode);

      base.visit(ifThenNode);
   }
}
