@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

setlocal

REM *****
REM ***** Verify that Phx environment has been setup
REM ***** 

if "%RDKROOT%"=="" echo Must setup Phx environment first && exit /B 1

set MORPH_DIR=%~dp0..\..
set TARGET_DIR=%MORPH_DIR%\bin

set PROJECT_DIR=%~dp0
set SRCS=DepthFirstVisitor.cs DisplayVisitor.cs VisitorClient.cs
set TARGET="%TARGET_DIR%\VisitorClient.exe"
set TARGET_FLAGS=/target:exe /out:%TARGET% 
set REFS="%TARGET_DIR%\Node.dll" "%TARGET_DIR%\NodeVisitorExt.dll"

call "%MORPH_DIR%\scripts\build-csharp.bat" %*
