using Phx.Aop.Attributes;

public class HelloWorld 
{
	[Statement(13, "Note,Attributes", "This is a statement annotation")]
	public static void Main()
	{
		// Needed for the breakpoint weaver to call the
		// advice methods
		System.Type forceLoad1 = typeof(LogAspect);
		System.Type forceLoad2 = typeof(TraceAspect);

		System.Console.WriteLine("Hello, ");
		PrintWorld();
	}

	[Trace]
	[Note("This is a method annotation")]
	static void PrintWorld()
	{
		System.Console.WriteLine("World");
	}
}
