@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

setlocal

REM *****
REM ***** Verify that Phx environment has been setup
REM ***** 

if "%RDKROOT%"=="" echo Must setup Phx environment first && exit /B 1

REM *****
REM ***** Local vars
REM ***** 

set MORPH_DIR=%~dp0..\..\Morpher
set WICCA_DIR=%~dp0..\..
set PROJECT_DIR=%WICCA_DIR%\examples\HelloWorld
set TARGET_DIR=%WICCA_DIR%\bin

REM *****
REM ***** Build Attributes.dll and shared aspects
REM ***** 

call "%WICCA_DIR%\examples\Shared\buildall.bat" %*
if not "%errorlevel%"=="0" exit /b 1

set SRCS=HelloWorld.cs
set TARGET="%TARGET_DIR%\HelloWorld.exe"
set TARGET_FLAGS=/target:exe /out:%TARGET% 
set REFS="%TARGET_DIR%\Attributes.dll" "%TARGET_DIR%\LogAspect.dll" "%TARGET_DIR%\TraceAspect.dll" "%TARGET_DIR%\Phx.Aop.dll"

call "%MORPH_DIR%\scripts\build-csharp.bat" %*
if not "%errorlevel%"=="0" exit /b 1
