using System;
using System.Collections;

public class Display {
	
	ArrayList shapes = new ArrayList();
	
	static Display s_instance = new Display();

	// So no one tries to instantiate directly
	private Display() 
	{ }
	
	public static Display instance() {
		return s_instance;
	}
	
	public void update() {
		Console.WriteLine("Draw: ");
		foreach(object shapeObj in shapes)
			((Shape) shapeObj).draw();
	}
	
	public void addShape(Shape s) {
		shapes.Add(s);
	}
}
