public class Line : Shape {
	private Point a, b;

	public Line(Point a, Point b) {
		this.a = a;
		this.b = b;
	}

	public void moveBy(int dx, int dy) {
		a.moveBy(dx, dy);
		b.moveBy(dx, dy);

		Display.instance().update();
	}

	public void draw() {
		System.Console.WriteLine("  " + base.ToString() + ":");
		System.Console.WriteLine("    " + a.ToString());
		System.Console.WriteLine("    " + b.ToString());
	}
	
	public override string ToString() {
		return base.ToString() + "[ " + a + ", " + b + " ]";
	}
}
