@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

setlocal

REM *****
REM ***** Verify that Phx environment has been setup
REM ***** 

if "%RDKROOT%"=="" echo Must setup Phx environment first && exit /B 1

REM *****
REM ***** Local vars
REM ***** 

set MORPH_DIR=%~dp0..\..\Morpher
set WICCA_DIR=%~dp0..\..
set PROJECT_DIR=%WICCA_DIR%\examples\SimpleDraw
set TARGET_DIR=%WICCA_DIR%\bin

set InputAssembly="%TARGET_DIR%\SimpleDraw.exe"
set OutputAssembly=
set ClassToExtend=
set FieldToAdd=
set Refs=/r:"%TARGET_DIR%\DisplayUpdatingAspect.dll"

call "%MORPH_DIR%\scripts\morph.bat" %*
